<template>
    <div>
      <b-navbar toggleable="lg" type="dark" variant="info">
        <b-navbar-nav>
            <b-nav-item v-b-toggle="''+idSideMenu">
              <slot name="navbarMenuIcon"></slot>
            </b-nav-item>
        </b-navbar-nav>
        <b-navbar-brand href="#">C.A.N.A.</b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
        <b-collapse id="nav-collapse" is-nav>
          

          <!-- Right aligned nav items -->
          <b-navbar-nav  class="ml-auto">
            <b-nav-item-dropdown right>
              <!-- Using 'button-content' slot -->
              <template #button-content>
                <em>Usuario</em>
              </template>
              <b-dropdown-item href="#">Informacion</b-dropdown-item>
              <b-dropdown-item href="#">Salir</b-dropdown-item>
            </b-nav-item-dropdown>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
    </div>
</template>
<script>
export default {
    name: 'Navbar',
    props:{
      idSideMenu:{
        type: String,
        default: "none"
      }
    }
}
</script>